dnl Local additions to Autoconf macros.
dnl
dnl AC_GENERATED_FILES_DIR_CMD([targ])
dnl
dnl *************************************************************************
dnl
AC_DEFUN(PP_SET_LOCALFLAGS,
[AC_MSG_RESULT([setting $1 from $3])
[OLDIFS=$IFS
IFS=":"
for i in $$3 ; do $1="$$1 $2$i"; done
IFS=$OLDIFS
]
])
dnl
dnl ************************************************************************
dnl
dnl
dnl PP_HAVE_PROTO(pattern, program)
AC_DEFUN([PP_HAVE_PROTO],
[dnl Do the transliteration at runtime so arg 1 can be a shell variable.
pp_safe=`echo "$1" | tr './\055' '___'`
AC_MSG_CHECKING([for prototype for $1])
AC_CACHE_VAL(ac_cv_pp_have_proto_$pp_safe,
[AC_EGREP_CPP($pp_safe,[
$2
], eval "ac_cv_pp_have_proto_$pp_safe=yes",
   eval "ac_cv_pp_have_proto_$pp_safe=no")])
if eval "test \"`echo '$ac_cv_pp_have_proto_'$pp_safe`\" = yes"; then
  AC_MSG_RESULT(yes)
else
  AC_MSG_RESULT(no)
  changequote(,)
  pp_proto=NEED_PROTO_`echo $pp_safe | tr '[a-z]./\055' '[A-Z]___'`
  changequote([,])
AC_DEFINE_UNQUOTED($pp_proto)
fi
])
