/*
 * This file is part of PB: PerfBench.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _CPB_
#define _CPB_

typedef enum {TIDENT, TRESERVED, TWORD, TLPAREN, TRPAREN, TLBRACE, TRBRACE,
	      TSTAR, TSLASH, THASH, TCOMMA, TSEMI, TSPACE, TTAB,TNL, TCOMMENT, TQUOTE,
	      TEOF, TOTHER} Token;

extern Token gettoken(char*, FILE*);
extern void prtoken(Token, char*);

#endif
