      program test1
      real sum

      call PBINIT('test','PAPI_FP_INS')
      call PBSTART('test1')

      sum = 0.0
      call work(sum)
      call work(sum)

      call comm()

      print *,'sum: ',sum
      call PBEND('test1')
      call PBREPORT()

      end

      subroutine work(sum)
      real a(1000)
      real b(1000)
      real sum,sum1,sum2
      integer i,j

      call PBSTART('work')

      do i = 1,1000
        a(i) = 1.0
        b(i) = 2.0
      enddo


      call PBSTART('work:block1')
      sum1 = 0.0
      do j = 1,10000
        do i = 1,1000
          sum1 = sum1 + a(i)*b(i)
        enddo
      enddo 
      sum = sum + sum1
      call PBEND('work:block1')

      call PBSTART('work:block2')
      sum2 = 0.0
      do j = 1,10000
        do i = 1,1000
          sum2 = sum2 + a(i)*b(i)
        enddo
      enddo 
      sum = sum + sum2
      call PBEND('work:block2')

      call PBEND('work')
      return
      end

      subroutine comm()

      ! This is a fake comm program
      call PBSTART('comm')

      
      call PBSTART('comm:mpi')
      call PBCOMM(1000)  ! sending 1000 bytes;
      ! call MPI_send()
      call PBEND('comm:mpi')

      call PBSTART('comm:mpi')
      call PBCOMM(1000)  ! receiving 1000 bytes;
      ! call MPI_recv

      call PBEND('comm:mpi')

      call PBEND('comm')

      return
      end

